Page MenuHomePhabricator

Requesting access to deployment and analytics-privatedata-users for sbassett
Closed, ResolvedPublicRequest

Description

Username: sbassett
Full name: Scott Bassett

Public ssh key:

ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICZipDQ0KYnTOf0E3//nyKTUFjCso0ribmE7NxrqRIlk sbassett@wikimedia.org

Groups: deployment, analytics-privatedata-users

Reasons:

I'm on the Security-Team and will need access to deploy security patches as well as access to the various log and analytics servers for analyzing security incidents. I've subscribed Chase, Sam and John of the Security-Team on this ticket for any approval concerns.

Event Timeline

sbassett created this task.Oct 24 2018, 3:16 PM
Restricted Application added a project: Operations. · View Herald TranscriptOct 24 2018, 3:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy added a comment.Oct 24 2018, 4:20 PM

Would need/want John to +1 this request

jijiki triaged this task as Normal priority.Oct 25 2018, 11:20 AM
jijiki claimed this task.Oct 26 2018, 10:27 AM

Tagging @JBennett for approval (so I can start doing Brian and Sam things)

jijiki removed jijiki as the assignee of this task.Oct 29 2018, 12:59 PM
jijiki added a subscriber: jijiki.
jijiki added a comment.EditedOct 29 2018, 1:23 PM

Pending today's SRE meeting and approval from manager. Any specific groups you will need to be added to?

@jijiki - I think I just need deployment and analytics-privatedata-users. I modeled it off of what @Bawolff has here, which should be all I'd need for now: https://phabricator.wikimedia.org/source/operations-puppet/browse/production/modules/admin/data/data.yaml.

jijiki updated the task description. (Show Details)Oct 29 2018, 3:34 PM
jijiki moved this task from Backlog/Radar to In Progress on the User-jijiki board.Oct 29 2018, 5:14 PM

Change 470779 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] admin: move sbassett to users

https://gerrit.wikimedia.org/r/470779

Request approved during SRE meeting, 2018-10-29.

Change 470783 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] admin: requested groups membership for sbassett

https://gerrit.wikimedia.org/r/470783

Change 470779 merged by Ema:
[operations/puppet@production] admin: move sbassett to users

https://gerrit.wikimedia.org/r/470779

Change 470783 merged by Ema:
[operations/puppet@production] admin: requested groups membership for sbassett

https://gerrit.wikimedia.org/r/470783

@sbassett please try to SSH as sbassett to one of the systems you should now have access to, for example stat1007.eqiad.wmnet.

@ema Looks like I'm in (sbassett@stat1007:~$)

Thanks.

ema closed this task as Resolved.Oct 31 2018, 4:03 PM
ema claimed this task.

Very well!